=== Deluge 1.3.11 (30 November 2014) ===
==== GtkUI ====
	* Fixed ImportError for users with Twisted < 10
	* #2698: Fixed column issue when disabling a plugin

==== Core ====
	* Fixed cache issue with libtorrent 0.16 on Windows
	* #2555: Disabled use of SSLv3 protocol for DelugeRPC

==== WebUI ====
	* Modify SSL Context to allow >= TLSv1 protocol
	* #2588: Fixed Size column to show total_wanted instead of total_size

=== Deluge 1.3.10 (15 October 2014) ===
==== GtkUI ====
	* #2256: Indexes are not updated correctly when removing column
	* Fix bug in the torrentview when Plugins added a column

==== WebUI ====
	* Security update for POODLE vulnerability

=== Deluge 1.3.9 (4 October 2014) ===
==== GtkUI ====
	* #2514: Fix every torrent is displayed twice in classic mode

=== Deluge 1.3.8 (4 October 2014) ===
==== Core ====
	* #1126 & #2322: Emit FinishedEvent after moving storage complete
	* Fixes to mitigate fastresume corruption

==== GtkUI ====
	* #2335: Fix application startup failing with 'cannot acquire lock' error
	* #2497: Fix the Queued Torrents 'Clear' button not properly clearing the list of torrent
	* #2496: Fix updating core_config before setting default options
	* #2493: Fix TypeError if active workspace is None
	* LP:#1168858: Nautilus window opens behind current window
	* Fix showing the open_folder menuitem
	* Suppress unimportant gnome warnings
	* Optimized the updating of the torrent view
	* Fixed Indicator icon label issue
	* Fix listview error with new config

==== WebUI ====
	* Ensure values are updated from config upon showing a plugin page

==== Extractor ====
	* Add WebUI plugin page
	* Find 7-zip application path on Windows via registry

==== Execute ====
	* #1290: Add a TorrentRemoved event option

==== Scheduler ====
	* #2238: Fix an 'undefined this.scheduleCells' error in javascript console

==== Notifications ====
	* #1310: Add WebUI plugin page

==== Blocklist ====
	* #2478: Add WebUI plugin page

==== Console ====
	* #2470: Fix console parsing args

=== Deluge 1.3.7 (9 July 2014) ===
==== Core ====
	* #2324: Encryption level set by Deluge did not match libtorrent values
	* #2303: Torrent state was not updated until after emitting TorrentFinishedEvent
	* Fix twisted 13.1 compatability
	* #2343: Fix error if listen interface is whitespace
	* #2082: Validate ip address for listen_interface entry
	* #1490: Increase the Alertmanager interval to 0.3s
	* Prevent private flagged torrents auto-merging trackers

==== GtkUI ====
	* Fix issue with Plugins that add Tab to torrentdetails
	* Fix the scalable icon install directory
	* #2335: Fix IPC lockfile issue preventing start of deluge-gtk
	* #2365: Fix hiding Progress column generating TypeError
	* #2371: Add StartupWMClass to desktop file
	* #2372: Fix the Ratio column not retaining position
	* #2369: Fix bypassing the password dialog when showing/quitting

==== WebUI ====
	* #2374: Fix right-click selection issue
	* #2310: Fix unicode password support
	* #2418: Fix WebUI error when adding non-ascii torrent

==== Windows OS ====
	* Allow silent uninstall for Windows package
	* #2367: Fix DelugeStart theme not showing Private Flag as ticked/checked
	* #2315: Potential fix for lost window issue

==== Extractor ====
	* #2290: Fix dotted filenames being rejected

=== Deluge 1.3.6 (25 Feburary 2013) ===
==== Core ====
	* Catch & log KeyError when removing a torrent from the queued torrents set
	* Fix moving/renaming torrents issues when using libtorrent 0.16
	* Make sure queue order is preserved when restarting
	* #2160: Disable use of python bindings for libtorrent extensions and replace with session flag
	* #2163: Fix unable add torrent file with empty (0:) encoding tag
	* #2201: Fix error in authmanager if auth file has extra newlines
	* #2109: Fix the Proxy settings not being cleared by setting None
	* #2110: Fix accepting magnet uris with xt param anywhere within them
	* #2204: Fix daemon shutdown hang with large numbers of torrents
	* Fix prioritize first/last pieces option for magnet links

==== Client ====
	* Fix keyerrors after removing torrents from UIs

==== GtkUI ====
	* Add move completed option to add torrent dialog
	* Prevent jitter in torrent view
	* Fix torrent creation with non-ascii characters
	* Fix #2100 : Add option not to bring main window to front when adding torrents through ipcinterface
	* Add Quit Dialog when toggling classic mode in preferences and only show connection manager when not in classic mode.
	* #2169: Fix 'Download Location' in the Add Torrent Dialog not set correctly when folder typed into Other->Location field
	* #2171: Fix the Add Peer dialog not responding if empty or invalid values entered
	* #2104: Fix no title set for the appindicator
	* #2086: Fix submenus and icons for appindicator
	* #2146: Fix missing translations in View|Tabs submenu
	* Fix torrent names on libtorrent 0.16 on windows
	* #2147: Fix missing translations for plugin preferences page
	* #1474: Fix the on_show_prefs hook not being executed immediatly after enabling a plugin
	* #1946: Fix ReactorNotRestartable error when set as startup application
	* #2130: Fix same name can be given to different files in Add Torrent dialog
	* #2129: Fix empty filename able to be set in AddTorrent dialog
	* #2228: Fix Apply-To-All in AddTorrent Dialog copying file renames to other torrents
	* #2260: Fix the Add Torrent dialog also bringing the main window to active workspace
	* Fix showing exception error to user in Classic Mode with no libtorrent installed

==== Console ====
	* LP#1004793: Enable use of connect command in non-interactive mode
	* Ensure console commands are executed in order
	* #2065: Fix crash with missing closing quote
	* #1397: Add support for -s STATE in info command

==== WebUI ====
	* Add move completed option to add torrent dialog
	* #2112: Fix world readable tmp directory in json_api
	* #2069: Fix login window layout problem when using larger than default font size
	* #1890: Fix columns in files and peers view could use some spacing
	* #2103: Fix sorting by name is case-sensitive [sedulous]
	* #2120: Fix manually entered values not being saved in spinners
	* #2212: Fix unable to scroll in proxy preferences page
	* Fix autoconnecting to the default host
	* #2046: Fix plugins not enabling properly until after refreshing page
	* #2125: Fix plugin methods not being available when enabled until restart
	* #2085: Fix not showing torrents in sidebar for categories other than 'All' in classic mode
	* #2232: Fix flag icon path in Peers Tab missing deluge.config.base
	* Fix submenus closing upon mouse click
	* Add failed login log message, including IP address, to enable use with fail2ban
	* #2261: Fix Proxy settings not being saved in preferences

==== Windows OS ====
	* Hide the cmd windows when running deluged.exe or deluge-web.exe
	* Add deluged-debug.exe and deluge-web-debug.exe that still show the cmd window
	* Add gtk locale files to fix untranslated text
	* Fix the Open Folder option not working with non-ascii paths
	* Fix the daemon starting with config dir containing spaces
	* Fix Windows tray submenu items requiring right-click instead of left-click
	* Fix issue with adding some torrents with illegal characters via url in gtk client
	* #2240: Fix freespace issue with large capacity drives

==== OS X ====
	* Fix Open File/Folder option
	* Add OS X Menu for GTK Quartz

==== Execute ====
	* Fix execute plugin not working with unicode torrent names

==== Extractor ====
	* Add Windows support, using 7-zip
	* Added support for more extensions
	* Disabled extracting 'Move Completed' torrents due to race condition

=== Deluge 1.3.5 (09 April 2012) ===
==== Core ====
	* Fix not properly detecting when torrent is at end of queue
	* #2049: Preserve order when moving multiple torrents in the queue

==== GtkUI ====
	* Modified fix for #1957, keyerror with non-acsii columns
	* Fix translation of items in Sidebar and Torrent Menu
	* #2052: Fix translation of Progress bar text
	* #2071: Fix KeyError in gtkui when file priority set to value '3'
	* #2064: Fix files treeview height in Create Dialog
	* Fix missing semi-colon in deluge.desktop
	* Disable setting file priorities for seeding torrents
	* Bring MainWindow to front when opening another instance

==== WebUI ====
	* #2050: Fix 'Up Speed' column not sorting
	* Hide unused Infohash button in WebUI

==== Label ====
	* Disable unusable items for 'All' in sidebar menu
	* Fix items for translation

==== Console ====
	* Fix prefixed space for tab completing commands
	* Fix missing trailing space for command options with tab complete

==== Blocklist ====
	* Use (documented) formatdate over format_date_time

=== Deluge 1.3.4 (03 March 2012) ===
==== Core ====
	* #1921: Free disk space reporting incorrectly in FreeBSD
	* #1964: Fix unhandled UnpicklingErrors
	* #1967: Fix unhandled IndexError when trying to open a non-json conf file
	* Fix setting daemon listen interface from command line
	* #2021: Fix share ratio limit not obeyed for seeded torrents added to session
	* Add optparse custom version to prevent unnecessary loading of libtorrent
	* #1554: Fix seeding on share ratio failing for partially selected torrents
	* Add proper process title naming in ps, top etc. (Depends: setproctitle)

==== GtkUI ====
	* #1918: Fix Drag'n'Drop not working in Windows
	* #1941: Increase maximum Cache Size to 999999 (15GiB)
	* #1940: File & folder renaming issue when using Add Torrent dialog in Windows
	* LP#821577: Fix UnpicklingError when external selection dragged onto Files Tab
	* #1934: Fix Unicode error in AddTorrent Dialog
	* #1957: Fix keyerror when adding columns for non-latin languages
	* #1969: Fix menu item 'Quit & Shutdown' still available when not connected to daemon
	* #1895: Fix Files Tab showing wrong files due to torrent_info race condition
	* #2010: Move speed text in titlebar to the beginning
	* #2032: Wait for client to shutdown/disconnect before stopping reactor
	* Fix compatibility with Python 2.5
	* Fix collapsed treeview in Create Torrent dialog
	* Ignore unmaximise event when window isn't visible
	* #1976: Fixed text entry with trailing newline characters causing issues for Move Storage

==== WebUI ====
	* Fix Webui files-tab menu setting wrong priority
	* Update to ExtJS 3.4.0
	* #1960: Fix statustab showing total_payload_download for upload as well
	* Remove uneeded Titlebar to save space
	* Fix clipped Browse button in WebUI
	* #1915: Fix being unable to stop the status bar from autohiding
	* Fix password box focus issue in Firefox
	* Fix plugin uploads from behind a reverse proxy
	* #2010: Move speed text in titlebar to the beginning
	* #1936: Fix Referenced before assignment error in json_api
	* Changes are now applied when clicking OK in Preferences
	* Added Download,Uploaded,Down Limit, Up Limit & Seeder/Peeds columns
	* Add magnet uri support to Add Url
	* Add keymaps for torrents - Ctrl-A (select all) and Delete
	* #2037: Fix 'Add Torrents' torrents list not scrolling
	* #2038: Fix Chrome 17 disconnecting from webui

==== Console ====
	* #1953: Fix flickering on every update
	* #1954: Fix 'invalid literal for float' when setting listen interface
	* #1945: Fix UnicodeDecodeError when using non-ascii chars in info

==== Label ====
	* #1961: Add missing 'All' filter option
	* #2035: Fix label options dialog in webui
	* #2036: Fix newly added labels not being sorted in torrent right click menu

==== Notification ====
	* #1905: Fix no email sent to second email address
	* #1898: Fix email notifications not including date/time they were sent

==== Scheduler ====
	* Add plugin page for WebUi

==== Execute ====
	* Commands now run scripts asynchronous to prevent Deluge from hanging

==== AutoAdd ====
	* Added watch folder support for '.magnet' text file containing single or multiple magnet uris
	* Fix glade object issue when re-enabling plugin in same session
	* Fix plugin not showing as enabled in webui

=== Deluge 1.3.3 (22 July 2011) ===
==== Core ====
	* Properly show the 'Checking Resume Data' state instead of just 7
	* #1788: Added ability to use XDG_DOWNLOAD_DIR as default download folder
	* Fix path error with torrent files prefixed with 'file://' from Firefox
	* #1869: Fix setting the disk io read/write to bypass OS cache in Windows
	* #1504: Fix win32 running deluged as not logged in user via runas or service
	* #890: If added torrent already exists, append extra trackers to it
	* #1338: Fix Seeds and Peers totals not updating
	* #1239: Fix translated Tracker Error text not counted in sidebar Error status
	* Fix httpdownloader error with existing filename
	* #1505: Add libtorrent info to version output
	* #1637 Fix UnicodeDecodeError from 'deluge-* --help' with non-english languages
	* #1714 Fix handling of backslashes when renaming files/folders

==== GtkUI ====
	* Show the checking icon for torrents in the 'Checking Resume Data' state
	* #1195: Fix right-click selecting issue when switching between folders and files
	* Add F2 key shortcut for renaming filenames in the Files Tab
	* Increase max piece size to 16 MiB in create torrent dialog
	* #1475: Fix save and restore Preferences dialog size from config
	* Add search as you type to the torrent view
	* #1456: Fix no ETA showing with multiple files
	* #1560: Fix FilesTab Progress value sorting by int instead of float
	* #1263: Fix not remembering column widths
	* #948: New Release Dialog now shows the server version
	* Fix peers in PeersTab showing non-zero download rate when seeding

==== AutoAdd ====
	* #1861: Fix AutoAdd Warning (column number is a boolean)

==== Label ====
	* #1246: Fix losing Labels upon restart

==== Execute ====
	* #1477: Fix ignore Added events from state file on startup

==== ConsoleUI ====
	* #1258: Add support for urls and magnet uris in add command
	* #1801: Fix unhandled defered error and missing error message upon failed connect

=== Deluge 1.3.2 (24 May 2011) ===
==== Core ====
	* #1527: Fix Converting unicode to unicode error in move_storage
	* #1373: Fix creating and moving non-ascii folder names in MS Windows
	* #1507: Fix temporary file race condition in core/core.py:add_torrent_url
	* Fix a bug that can occur when upgrading 1.1 config files
	* #1517: Fix isohunt urls not loading
	* Handle redirection when adding a torrent by url
	* #1614: Fix autoadd matching a directory called "torrent"
	* #1742: Fix failure in Event handler prevents further emissions

==== GtkUI ====
	* #1514: Added Indicator Applet
	* #1494: Add torrent columns Downloaded and Uploaded
	* #1308: Add torrent column Seeds/Peers ratio
	* #1646: Add torrent columns for per torrent upload and download speed limits
	* Add missing icons for Trackers filter
	* Fix inconsistancies in the text for translation
	* #1510: Fix cannot create a torrent with only non-zero tier trackers
	* #1513: Fix unhandled Twisted Error in test_listen_port
	* #690:  Fix renaming folders does not remove old empty folders
	* #1336: Fix uneeded horizontal scrollbar showing in Files & Peers Tab
	* #1508: Fix TypeError in cell_data_queue() could not convert argument to correct param type
	* #1498: Fix double slashes appearing when renaming
	* #1283: Fix consistent icons for Files tab
	* #1282: Text for AutoManaged changed to 'On/Off' and localized
	* Fix Up/Down buttons in Edit Trackers Dialog
	* Add Key Shortcuts for main menu functions

==== WebUI ====
	* #1194: Fix infinite login prompt in web ui through reverse proxy
	* #1355: Fix slow changing states in webUI
	* #1536: Fix Edit Trackers window not scrolling and not being resizable
	* #1799: Fix Missing textbox for "Move completed" in torrent options
	* #1562: Fix Javascript error in Web UI when re-opening preferences
	* #1567: Fix js from plugins does not work with different 'base' setting
	* #1268: Fix torrent errors not displayed in webui
	* #1323: Fix filter panels not scrollable
	* Fix file uploads from behind a reverse proxy.
	* #1333: Fix peer list doesn't update automatically
	* #1537: Fix editing trackers list, trackers have to be reselected

==== ConsoleUI ====
	* #755:  Fix can't set listen_ports through console UI
	* #1500: Fix Console crashes on command longer than terminal width
	* #1248: Fix deluge-console unicode support on redirected stdout
	* Fix for deluge-console not adding torrent files on MS Windows
	* #1450: Fix trailing white space in paths
	* Misc: Updated help text for deluge-console on MS Windows
	* #1484: Fix trying to access the screen object when not using interactive mode
	* #1548: Fix cli argument processing
	* #1856: Add --sort option to info command
	* #1857: Add seeding_time, active_time and tracker_status to info command

==== Scheduler ====
	* #1506: Fix max speed not restored on a yellow->green transition

=== Deluge 1.3.1 (31 October 2010) ===
==== Core ====
	* #1369: Fix non-ascii config folders not working in windows

==== GtkUI ====
	* #1365: Fix sidebar not updating show/hide trackers
	* #1247: Fix hang on quit

==== WebUI ====
	* #1364: Fix preferences not saving when the web ui plugin is enabled in classic mode
	* #1377: Fix bug when enabling plugins
	* #1370: Fix issues with preferences
	* #1312: Fix deluge-web using 100% CPU

=== Deluge 1.3.0 (18 September 2010) ===
==== Core ====
	* Fix issue where the save_timer is cancelled when it's not active
	* Fix unhandled exception when adding a torrent to the session
	* Moved xdg import so it is not called on Windows, where it is unused. fixes #1343
	* Fix key error after enabling a plugin that introduces a new status key
	* Ignore global stop ratio related settings in logic, so per torrent ones are used.
	* Ensure preferencesmanager only changes intended libtorrent session settings.
	* Fix issue when adding torrents without a 'session'. This can happen when a plugin adds a torrent, like how the AutoAdd plugin works. The user that adds this torrent will be an empty string.
	* Add TorrentFileCompleted event

==== GtkUI ====
	* Increase max piece size to 8 MiB in create torrent dialog (closes #1358)

==== Scheduler ====
	* Add max active downloading and seeding options to scheduler.
	* Fix scheduler so that it keeps current state, even after global settings change.

==== AutoAdd ====
	* AutoAdd plugin can now recover when one of the watchfolders has an unhandled exception.
	* Fix bug in AutoAdd plugin where watchdirs would not display in gtkui when first enabled.
	* Fix bugs with unicode torrents in AutoAdd plugin.

=== Deluge 1.3.0-rc2 (20 August 2010) ===
==== Core ====
	* Fix tracker_icons failing on windows
	* Fix #1302 an uncaught exception in an state_changed event handler in SessionProxy was preventing the TorrentManager's stop method from properly saving all the resume data
	* Fix issue with SessionProxy not updating the torrent status correctly when get_torrent_status calls take place within the cache_expiry time

==== ConsoleUI ====
	* #1307: Fix not being able to add torrents
	* #1293: Fix not being able to add paths that contain backslashes

==== GtkUI ====
	* Fix uncaught exception when closing deluge in classic mode

==== Execute ====
	* #1306: Fix always executing last event

==== Label ====
	* Fix being able to remove labels in web ui

==== WebUI ====
	* #1319: Fix shift selecting in file trees

=== Deluge 1.3.0-rc1 (08 May 2010) ===
==== Core ====
	* Implement #1063 option to delete torrent file copy on torrent removal - patch from Ghent
	* Implement #457 progress bars for folders
	* Implement #1012 httpdownloader supports gzip decoding
	* #496: Remove deprecated functions in favour of get_session_status()
	* #1112: Fix renaming files in add torrent dialog
	* #1247: Fix deluge-gtk from hanging on shutdown
	* #995: Rewrote tracker_icons
	* Add AutoAdd plugin
	* Add Notifications plugin

==== GtkUI ====
	* Use new SessionProxy class for caching torrent status client-side
	* Use torrent status diffs to reduce RPC traffic

==== Blocklist ====
	* Implement local blocklist support
	* #861: Pause transfers until blocklist is imported
	* Fix redirection not working with relative paths

==== Execute ====
	* Fix running commands with the TorrentAdded event
	* Fix the web interface

==== Label ====
	* Fix the web interface  (#733)

==== Web ====
	* Migrate to ExtJS 3.1
	* Add gzip compression of HTTP data to the server
	* Improve the efficiency of the TorrentGrid with lots of torrents (#1026)
	* Add a base parameter to allow reverse proxying (#1076)
	* Fix showing all the peers in the details tab (#1054)
	* Fix uploading torrent files in Opera or IE (#1087)
	* Complete IE support

=== Deluge 1.2.0 - "Bursting like an infected kidney" (10 January 2010) ===
==== Core ====
	* Implement new RPC protocol DelugeRPC replacing XMLRPC
	* Move to a twisted framework
	* Add an 'Error' filter for Trackers to show trackers that currently have a tracker error
	* Use system GeoIP database if available, this is now an optional dependency

==== GtkUI ====
	* Remove SignalReceiver
	* Implemented a cross-platform IPC method thus removing the DBUS dependency
	* Implement a "True" Classic Mode where there is no longer a separate daemon process
	* Add preferences option "Add torrent in paused state"
	* Add tracker icons to the Tracker column
	* Implement #259 show tooltip with country name in the peers tab
	* Add an error category to the tracker sidebar list
	* Add Find More Plugins button to Plugins preference page
	* Fix #518 remove header in add torrent dialog to save vertical space
	* Add a Cache preferences page to adjust cache settings and examine cache status
	* Add ability to rename files prior to adding them
	* Fix shutdown handler with GNOME session manager
	* Allow 4 MiB piece sizes when creating a torrent

==== ConsoleUI ====
	* Changed to use curses for a more interactive client

==== WebUI ====
	* Move over to using Twisted-Web for the webserver.
	* Move to only AJAX interface built upon Ext-JS.

==== Plugins ====
	* Add Scheduler plugin
	* Add Extractor plugin

==== Misc ====
	* PyGTK dependency bumped to => 2.12 to use new tooltip system
	* Add new scripts for invoking UIs: deluge-gtk, deluge-web, deluge-console
	* Remove GeoIP database from the source tree

=== Deluge 1.1.0 - "Time gas!" (10 January 2009) ===
==== Core ====
	* Implement #79 ability to change outgoing port range
	* Implement #296 ability to change peer TOS byte
	* Add per-torrent move on completed settings
	* Implement #414 use async save_resume_data method
	* Filter Manager with torrent filtering in get_torrents_status , for sidebar and plugins.
	* Implement #368 add torrents by infohash/magnet uri (trackerless torrents)
	* Remove remaining gtk functions in common
	* Tracker icons.
	* Add ETA for torrents with stop at seed ratio set
	* Fix #47 the state and config files are no longer invalidated when there is no diskspace
	* Fix #619 return "" instead of "Infinity" if seconds == 0 in ftime
	* Add -P, --pidfile option to deluged

==== GtkUI ====
	* Add peer progress to the peers tab
	* Add ability to manually add peers
	* Sorting # column will place downloaders above seeds
	* Remove dependency on libtorrent for add torrent dialog
	* Allow adding multiple trackers at once in the edit tracker dialog
	* Implement #28 Create Torrent Dialog
	* Redesiged sidebar with filters for Active and Tracker (see Filter Manager)
	* Implement #428 the ability to rename files and directories
	* Implement #229 add date added column
	* Implement #596 show speeds in title
	* Fix #636 not setting the daemon's config directory when using --config= with the UI in classic mode.
	* Fix #624 do not allow changing file priorities when using compact allocation
	* Fix #602 re-did files/peers tab state saving/loading
	* Fix gtk warnings
	* Add protocol traffic statusbar item
	* Rework the Remove Torrent Dialog to only have 2 options, remove data and remove from session.
	* Add "Install Plugin" and "Rescan Plugins" buttons to the Plugins preferences
	* Make active port test use internal graphic instead of launching browser

==== WebUI ====
	* Lots of smaller tweaks.
	* All details tabs have the same features as in gtk-ui 1.0.x
	* Persistent sessions #486
	* Plugin improvements for easy use of templates and images in eggs. #497
	* Classic template takes over some style elements from white template.
	* https (for users that know how to create certificates)
	* Easier apache mod_proxy use.
	* Redesigned sidebar

==== AjaxUI ====
	* Hosted in a webui template.

==== ConsoleUI ====
	* New ConsoleUI written by Idoa01
	* Callable from command-line for scripts.

==== Plugins ====
	* Stats plugin for graphs.
	* Label plugin for grouping torrents and per torrent settings.

==== Misc ====
	* Implement #478 display UI options in usage help
	* Fix #547 add description to name field per HIG entry 2.1.1.1
	* Fix #531 set default log level to ERROR and add 2 command-line options, "-L, --loglevel" and "-q, --quiet".
